/// <reference types="react" />
export declare type FlaotingActionType = {
    key: string;
    handleClick: () => void;
    name: string;
    size?: 'small' | 'medium' | 'large';
    totalContent?: number;
};
export interface FloatingActionProps {
    icons: FlaotingActionType[];
}
declare const FloatingAction: React.FC<FloatingActionProps>;
export default FloatingAction;
